# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

Summary:	MySQL Performance Tuning Primer Script
Name:		mysql_performance_tuning_primer
Version:	1.6
Release:	alt1_0.r1.8
Group:		System/Servers
License:	GPL
URL:		http://www.day32.com/MySQL/
Source0:	http://www.day32.com/MySQL/tuning-primer.sh
Source1:	http://www.day32.com/MySQL/time_behind_master.sh
Source2:	http://www.day32.com/MySQL/slave_status.sh
Source3:	http://www.day32.com/MySQL/MYSQL_BACKUP.sh
Requires:	mariadb-server
BuildArch:	noarch
Source44: import.info

%description
This script takes information from "SHOW STATUS LIKE..." and "SHOW VARIABLES
LIKE..." to produce sane recomendations for tuning server variables. It is
compatibly with all versions of MySQL 3.23 and higher (including 5.1).
   
 o Currently it handles recomendations for the following:  
 o Slow Query Log 
 o Max Connections 
 o Worker Threads 
 o Key Buffer 
 o Query Cache 
 o Sort Buffer 
 o Joins 
 o Temp Tables 
 o Table (Open & Definition) Cache 
 o Table Locking 
 o Table Scans (read_buffer) 
 o Innodb Status 

%prep

%setup -q -c -T

cp %{SOURCE0} mysql_performance_tuning_primer
cp %{SOURCE1} mysql_performance_time_behind_master
cp %{SOURCE2} mysql_performance_slave_status
cp %{SOURCE2} mysql_performance_backup
perl -pi -e "s|^#\!/.*|#!/bin/bash|g" mysql_performance_tuning_primer
perl -pi -e "s|^#\!/.*|#!/bin/bash|g" mysql_performance_time_behind_master
perl -pi -e "s|^#\!/.*|#!/bin/bash|g" mysql_performance_slave_status
perl -pi -e "s|^#\!/.*|#!/bin/bash|g" mysql_performance_backup

%build

%install
install -d %{buildroot}%{_sbindir}
install -m0755 mysql_performance_tuning_primer %{buildroot}%{_sbindir}/

%files
%defattr(0755,root,root)
%attr(0755,root,root) %{_sbindir}/mysql_performance_tuning_primer




%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_0.r1.8
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1_0.r1.7
- new version

